org.jbpm.process.audit.query

## Class ProcessInstanceLogDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>
    - - org.jbpm.process.audit.query.ProcessInstanceLogDeleteBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder

      public class ProcessInstanceLogDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>
      implements org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceLogDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `ProcessInstanceLogDeleteBuilderImpl(JPAAuditLogService jpaService)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.query.ParametrizedUpdate` | `build()`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `date(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `dateRangeStart(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `endDate(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `endDateRangeEnd(Date rangeEnd)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `endDateRangeStart(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `externalId(String... externalId)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `identity(String... identity)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `outcome(String... outcome)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processId(String... processId)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processInstanceId(long... processInstanceId)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processName(String... processName)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processVersion(String... version)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `startDate(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `startDateRangeEnd(Date rangeEnd)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `startDateRangeStart(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `status(int... status)`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `checkIfNotNull, ensureDateNotTimestamp, getJpaAuditLogService`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

- - ### Constructor Detail

    - #### ProcessInstanceLogDeleteBuilderImpl

          public ProcessInstanceLogDeleteBuilderImpl(JPAAuditLogService jpaService)

    - #### ProcessInstanceLogDeleteBuilderImpl

          public ProcessInstanceLogDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### processInstanceId

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processInstanceId(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`
      Specified by:
        `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`
      Overrides:
        `processInstanceId` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`

    - #### processId

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processId(String... processId)

      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`
      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`
      Overrides:
        `processId` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`

    - #### date

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder date(Date... date)

      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder dateRangeStart(Date rangeStart)

      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder dateRangeEnd(Date rangeStart)

      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`

    - #### status

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder status(int... status)

      Specified by:
        `status` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### outcome

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder outcome(String... outcome)

      Specified by:
        `outcome` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### identity

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder identity(String... identity)

      Specified by:
        `identity` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### processVersion

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processVersion(String... version)

      Specified by:
        `processVersion` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### processName

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processName(String... processName)

      Specified by:
        `processName` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### startDate

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder startDate(Date... date)

      Specified by:
        `startDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### startDateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder startDateRangeStart(Date rangeStart)

      Specified by:
        `startDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### startDateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder startDateRangeEnd(Date rangeEnd)

      Specified by:
        `startDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### endDate

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder endDate(Date... date)

      Specified by:
        `endDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### endDateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder endDateRangeStart(Date rangeStart)

      Specified by:
        `endDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### endDateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder endDateRangeEnd(Date rangeEnd)

      Specified by:
        `endDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### externalId

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder externalId(String... externalId)

      Specified by:
        `externalId` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### build

          public org.kie.internal.query.ParametrizedUpdate build()

      Specified by:
        `build` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.